Package org.gradle.process

## Interface JavaDebugOptions

-     @Incubating
      public interface JavaDebugOptions

  Contains a subset of the Java Debug Wire Protocol properties.
  Since:
    5.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<Boolean>` | `getEnabled()` | Whether to attach a debug agent to the forked process.
    `Property<Integer>` | `getPort()` | The debug port.
    `Property<Boolean>` | `getServer()` | Whether a socket-attach or a socket-listen type of debugger is expected.
    `Property<Boolean>` | `getSuspend()` | Whether the forked process should be suspended until the connection to the debugger is established.

- - ### Method Detail

    - #### getEnabled

          @Input
          Property<Boolean> getEnabled()

      Whether to attach a debug agent to the forked process.

    - #### getPort

          @Input
          Property<Integer> getPort()

      The debug port.

    - #### getServer

          @Input
          Property<Boolean> getServer()

      Whether a socket-attach or a socket-listen type of debugger is expected.

      In socked-attach mode (server = true) the process actively waits for the debugger to connect after the JVM starts up. In socket-listen mode (server = false), the debugger should be already running before startup waiting for the JVM connecting to it.

      Returns:
        Whether the process actively waits for the debugger to be attached.

    - #### getSuspend

          @Input
          Property<Boolean> getSuspend()

      Whether the forked process should be suspended until the connection to the debugger is established.